Rygel.MediaRendererPlugin – librygel-renderer Reference Manual

# MediaRendererPlugin

## Object Hierarchy:

## Description:

public class MediaRendererPlugin : `Plugin`

This is the base class for every Rygel UPnP renderer plugin.

This class is useful when implementing Rygel renderer plugins.

Renderer plugins should also implement their own #RygelMediaPlayer and return an instance of it from their get_player() implementation.

Namespace: Rygel
Package: librygel-renderer

## Content:

### Creation methods:

- public MediaRendererPlugin (`string` name, `string`? title, `string`? description = null, `PluginCapabilities` capabilities = `NONE`)
  Create an instance of the plugin.

### Methods:

- public override void constructed ()
- public virtual MediaPlayer? get_player ()
- public override void apply_hacks (`RootDevice` device, `string` description_path) throws `Error`
- public `string` get_protocol_info ()

### Inherited Members:

All known members inherited from class Rygel.Plugin

- active
- capabilities
- default_icons
- desc_path
- description

- icon_infos
- name
- resource_infos
- title

- add_icon
- add_resource
- apply_hacks
- constructed

All known members inherited from class GUPnP.ResourceFactory

- get_default
- register_resource_proxy_type

- register_resource_type
- unregister_resource_proxy_type

- unregister_resource_type

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count